Skip to Content
veriom

Attach finding upload

POST
/v1/workspaces/{workspace_id}/findings/{finding_id}/attachments

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
finding_id*Finding Id
Formatuuid

Request Body

application/json
  1. body
retention_days?Retention Days
Range1 <= value <= 365
Default90
upload_id*Upload Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
content_type*Content Type
created_at*Created At
Formatdate-time
filename*Filename
id*Id
Formatuuid
retained_until*Retained Until
Formatdate-time
sha256*Sha256
size_bytes*Size Bytes
status*Status
upload_id*Upload Id
Formatuuid
uploaded_by*Uploaded By
Formatuuid
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/findings/497f6eca-6276-4993-bfeb-53cbbbba6f08/attachments' \  -H 'Content-Type: application/json' \  -d '{  "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb"}'
Example Response
{  "content_type": "string",  "created_at": "2019-08-24T14:15:22Z",  "filename": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "retained_until": "2019-08-24T14:15:22Z",  "sha256": "string",  "size_bytes": 0,  "status": "string",  "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb",  "uploaded_by": "e134ce2c-a199-4e99-9c11-627b70a7ff28"}